import axios from 'axios';
import { AxiosRequestConfig, AxiosError, AxiosResponse } from 'axios'

export const service = axios.create({
    baseURL: 'http://localhost:8080/api',
    headers: {
        Authorization: 'Bearer ' + localStorage.getItem('id_token')
    }
})

service.interceptors.request.use(function (config: AxiosRequestConfig) {
    return config;
}, function (error: AxiosError) {
    return Promise.reject(error);
});

service.interceptors.response.use(function (response: AxiosResponse) {
    return response;
}, function (error: AxiosError) {
    return Promise.reject(error);
});

// 顧客登入(TODO: OTP認證開發前 暫時使用)
export function login(user: any) {
    return service.post('/authenticate', user)
}

// 推薦保險顧問
export function recommend() {
    return service.get('/consultant/recommend')
}

// 我的顧問清單
export function getFavoriteConsultant() {
    return service.get('/consultant/favorite');
}

export interface Consultants {
    agentNo: number,
    name: string,
    img: string,
    new: boolean,
    avgScore: number,
    expertise: string[],
    updateTime: Date,
    seniority: string,
    contactStatus?: string;
}